%global dnf_org org.baseurl.Dnf
%global dnf_version 4.2.6

Name:           dnfdaemon
Version:        0.3.20
Release:        %mkrel 1
Summary:        D-Bus daemon for DNF package actions
Group:          System/Packaging
License:        GPLv2+
URL:            https://github.com/manatools/dnfdaemon
Source0:        %{url}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-gobject3
Requires:       python3-dbus
Requires:       python3-dnf >= %{dnf_version}
Requires:       polkit

BuildRequires:    pkgconfig(systemd)
Requires:         systemd
Requires(post):   systemd
Requires(preun):  systemd

%description
D-Bus daemon for performing package actions with the DNF package manager

%package -n python3-%{name}
Summary:        Python 3 API for communicating with the dnf-daemon D-Bus service
Group:          Development/Python
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
Requires:       python3-gobject3
# Python 2 subpackage is dropped
Obsoletes:      python2-%{name} < 0.3.19-4

%description -n python3-%{name}
Python 3 API for communicating with the dnf-daemon D-Bus service

%prep
%autosetup -p1

%build
# Nothing to build

%install
make install DESTDIR=%{buildroot} DATADIR=%{_datadir} SYSCONFDIR=%{_sysconfdir}

# This is a workaround, see https://bugzilla.redhat.com/show_bug.cgi?id=1630281#c1
rm -rf %{buildroot}/lib/

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%files
%doc README.md ChangeLog
%license COPYING
%{_datadir}/dbus-1/system-services/%{dnf_org}*
%{_datadir}/dbus-1/services/%{dnf_org}*
%{_datadir}/%{name}/
%{_unitdir}/%{name}.service
%{_datadir}/polkit-1/actions/%{dnf_org}*
# this should not be edited by the user, so no %%config
%{_sysconfdir}/dbus-1/system.d/%{dnf_org}*
%dir %{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}/__*
%{python3_sitelib}/%{name}/server

%files -n  python3-%{name}
%{python3_sitelib}/%{name}/client



%changelog
* Sun Apr 05 2020 anaselli <anaselli> 0.3.20-1.mga8
+ Revision: 1564984
- new version 0.3.20

* Sun Feb 16 2020 umeabot <umeabot> 0.3.19-5.mga8
+ Revision: 1534799
- Mageia 8 Mass Rebuild

* Sun Oct 06 2019 ngompa <ngompa> 0.3.19-4.mga8
+ Revision: 1449909
- Drop Python 2 subpackage

* Mon Jan 07 2019 ngompa <ngompa> 0.3.19-3.mga7
+ Revision: 1350491
- Backport patches from master to work with DNF >= 4.0

* Thu Sep 20 2018 umeabot <umeabot> 0.3.19-2.mga7
+ Revision: 1278033
- Mageia 7 Mass Rebuild

* Sat Jun 30 2018 ngompa <ngompa> 0.3.19-1.mga7
+ Revision: 1240932
- Update to 0.3.19

* Sat Aug 05 2017 pterjan <pterjan> 0.3.18-2.mga7
+ Revision: 1135202
- Rebuild for python 3.6

* Wed May 24 2017 ngompa <ngompa> 0.3.18-1.mga6
+ Revision: 1104374
- Upgrade to 0.3.18

* Mon May 01 2017 ngompa <ngompa> 0.3.17-2.mga6
+ Revision: 1098223
- Remove usage of removed pyhawkey API in updateinfo parsing (rhbz#1444830)

* Sat Apr 15 2017 ngompa <ngompa> 0.3.17-1.mga6
+ Revision: 1096559
- Update to v0.3.17
- Drop merged patches

* Sun Apr 02 2017 ngompa <ngompa> 0.3.16-6.mga6
+ Revision: 1095696
- Replace patches with flattened patch series
- Add support for new callbacks from DNF 2.2.0

* Sat Feb 25 2017 ngompa <ngompa> 0.3.16-5.mga6
+ Revision: 1087843
- Add patch to fix crash with get_config()

* Wed Feb 08 2017 ngompa <ngompa> 0.3.16-4.mga6
+ Revision: 1085137
- Add patch to fix crash with GetRepo(id) calls

* Sun Nov 27 2016 ngompa <ngompa> 0.3.16-3.mga6
+ Revision: 1070523
- Bump for rebuilding against core/release

* Sat Nov 26 2016 ngompa <ngompa> 0.3.16-2.mga6
+ Revision: 1070243
- Backport patch from master to support DNF 2.0

* Sun May 29 2016 ngompa <ngompa> 0.3.16-1.mga6
+ Revision: 1019329
- Update to 0.3.16 to work properly with dnf-1.1.9

* Sun May 15 2016 ngompa <ngompa> 0.3.15-1.mga6
+ Revision: 1015614
- Update to dnfdaemon-0.3.15

* Sun Jan 24 2016 ngompa <ngompa> 0.3.12-1.mga6
+ Revision: 926849
- Update to 0.3.12

* Sun Oct 25 2015 ngompa <ngompa> 0.3.10-2.mga6
+ Revision: 895398
- Initial import of dnfdaemon for Mageia


* Sun Oct 25 2015 Neal Gompa <ngompa13{%%}gmail{*}com> - 0.3.10-2
- Port to Mageia

* Wed Sep 30 2015 Tim Lauridsen <timlau@fedoraproject.org> 0.3.10-1
- bumped release

* Wed May 27 2015 Tim Lauridsen <timlau@fedoraproject.org> 0.3.9-1
- bumped release

* Wed May 06 2015 Tim Lauridsen <timlau@fedoraproject.org> 0.3.8-1
- bumped release

* Sun Apr 26 2015 Tim Lauridsen <timlau@fedoraproject.org> 0.3.7-1
- bumped release

* Wed Apr 15 2015 Tim Lauridsen <timlau@fedoraproject.org> 0.3.6-1
- bumped release

* Wed Apr 15 2015 Tim Lauridsen <timlau@fedoraproject.org> 0.3.5-1
- bumped release

* Sun Apr 12 2015 Tim Lauridsen <timlau@fedoraproject.org> 0.3.4-1
- bumped release
- require dnf-0.6.3

* Fri Oct 17 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.3.3-1
- bumped release

* Wed Oct 15 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.3.2-3
- removed require python3-dnfdaemon from main package

* Wed Oct 15 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.3.2-2
- include python3-dnfdaemon in the dnfdaemon main package
- renamed python?-dnfdaemon-client to python?-dnfdaemon
- include dir ownerships in the right packages

* Sun Oct 12 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.3.2-1
- bumped release
- fedora review cleanups
- python-dnfdaemon-client should own %%{python_sitelib}/dnfdaemon/client
- group %%files sections
- use uploaded sources on github, not autogenerated ones.

* Sun Sep 21 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.3.1-1
- updated ChangeLog (timlau@fedoraproject.org)

* Sun Sep 21 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.3.0-1
- bumped release

* Mon Sep 01 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.2.5-1
- updated ChangeLog (timlau@fedoraproject.org)
- Hack for GObjects dont blow up (timlau@fedoraproject.org)

* Mon Sep 01 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.2.4-1
- updated ChangeLog (timlau@fedoraproject.org)
- Use GLib mainloop, instead of Gtk, there is crashing in F21
  (timlau@fedoraproject.org)
- use the same cache setup as dnf cli (timlau@fedoraproject.org)
- fix cachedir setup caused by upstream changes (timlau@fedoraproject.org)
- fix: show only latest updates (fixes : timlau/yumex-dnf#2)
  (timlau@fedoraproject.org)
- fix: only get latest upgrades (timlau@fedoraproject.org)

* Sun Jul 13 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.2.3-1
- fix cachedir setup for dnf 0.5.3 bump dnf dnf requirement
  (timlau@fedoraproject.org)

* Thu May 29 2014 Tim Lauridsen <timlau@fedoraproject.org> 0.2.2-1
- build: require dnf 0.5.2 (timlau@fedoraproject.org)
- fix refactor issue (timlau@fedoraproject.org)
- api: merged GetPackages with GetPackageWithAttributes.
  (timlau@fedoraproject.org)


